Skip to main content

Get a list of Images, ImageTags, and a unique list of Tags based on a start and end epoch

POST /v1/image/devices/tag/list

Summary

Get a list of Images, ImageTags, and a unique list of Tags based on a start and end epoch.

Details

Request body: JSON object.

Supports an optional minutes query parameter to constrain the tag aggregation window.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

Required: Yes

application/json

  • deviceIDList (array<integer (int64)>, optional)
    • array of integer (int64)
      • integer (int64)
  • tagIDList (array<integer (int64)>, optional)
    • array of integer (int64)
      • integer (int64)
  • startEpoch (integer (int64), optional)
  • endEpoch (integer (int64), optional)
  • count (integer (int64), optional)
  • order (string, optional)

Example

{
"deviceIDList": [
1
],
"tagIDList": [
1
],
"startEpoch": 1711800000,
"endEpoch": 1711800000,
"count": 25,
"order": "Example value"
}

Responses

200

Success

application/json

  • imageList (array<Image>, optional)
    • array of Image
      • key (integer (int64), optional)
      • deviceID (integer (int64), optional)
      • fileID (integer (int64), optional)
      • imageStatus (integer (int64), optional)
      • imageTypeID (integer (int64), optional)
      • localFilePath (string, optional)
      • height (integer (int64), optional)
      • width (integer (int64), optional)
      • filesize (integer (int64), optional)
      • startTime (integer (int64), optional)
      • startTimeMs (integer (int64), optional)
      • tagListID (integer (int64), optional)
      • creationDate (string (date-time), optional)
  • imageTagList (array<ImageTagWithNames>, optional)
    • array of ImageTagWithNames
      • tagName (string, optional)
      • key (integer (int64), optional)
      • imageID (integer (int64), optional)
      • deviceID (integer (int64), optional)
      • tagID (integer (int64), optional)
      • timestamp (integer (int64), optional)
      • timestampMs (integer (int64), optional)
      • confidence (number (double), optional)
      • left (integer (int64), optional)
      • top (integer (int64), optional)
      • width (integer (int64), optional)
      • height (integer (int64), optional)
      • creationDate (string (date-time), optional)
  • tagList (array<Tag>, optional)
    • array of Tag
      • key (integer (int64), optional)
      • tagName (string, optional)
      • creationDate (string (date-time), optional)

Example

{
"imageList": [
{
"key": 1,
"deviceID": 201,
"fileID": 1,
"imageStatus": 1,
"imageTypeID": 1,
"localFilePath": "Example value",
"height": 1,
"width": 1,
"filesize": 1,
"startTime": 1,
"startTimeMs": 1,
"tagListID": 1,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
],
"imageTagList": [
{
"key": 1,
"imageID": 1,
"deviceID": 201,
"tagID": 1,
"timestamp": 1,
"timestampMs": 1,
"confidence": 98.4,
"left": 1,
"top": 1,
"width": 1,
"height": 1,
"creationDate": "2026-03-30T12:00:00.0000000Z",
"tagName": "Example value"
}
],
"tagList": [
{
"key": 1,
"tagName": "Example value",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]
}